package org.studiorailgun.knowledge;

/**
 * A node in the knowledge web
 */
public class Node {

    /**
     * The id incremented
     */
    public static int idIncrementer = 0;
    
    /**
     * The id of the node
     */
    int id;

    /**
     * The name of the node
     */
    String name;


    /**
     * Constructor
     * @param name The name of the node
     */
    public Node(String name){
        this.id = idIncrementer;
        idIncrementer++;
        this.name = name;
    }


    public String getName() {
        return name;
    }


    public int getId() {
        return id;
    }

    

}
